> ## Documentation Index
> Fetch the complete documentation index at: https://devdocs.xbox.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Player Statistics

> Retrieves the current version and values for the indicated statistics, for the local player.

## Error codes

This operation may return the following PlayFab errors:

| Error | Code |
| --- | --- |
| ProductDisabledForTitle | 1609 |




## OpenAPI

````yaml /services/playfab/api-references/rest/server/server.openapi.json post /Server/GetPlayerStatistics
openapi: 3.0.0
info:
  version: '260922'
  title: PlayFab Server API
  description: >-
    Provides functionality to allow external (developer-controlled) servers to
    interact with user inventories and data in a trusted manner, and to handle
    matchmaking and client connection orchestration
  termsOfService: https://playfab.com/terms/
  contact:
    url: https://community.playfab.com/index.html
  license:
    name: Apache 2.0
    url: https://github.com/PlayFab/API_Specs/blob/master/LICENSE
servers:
  - url: https://{titleId}.playfabapi.com
    description: PlayFab title endpoint
    variables:
      titleId:
        default: your_title_id
        description: Your PlayFab title ID (hex).
security: []
tags:
  - name: Account Management
    description: Account Management APIs
  - name: Analytics
    description: Analytics APIs
  - name: Authentication
    description: Authentication APIs
  - name: Character Data
    description: Character Data APIs
  - name: Characters
    description: Characters APIs
  - name: Content
    description: Content Service APIs
  - name: Friend List Management
    description: Friend List Management APIs
  - name: Matchmaking
    description: Matchmaking APIs
  - name: Platform Specific Methods
    description: Platform Specific Methods APIs
  - name: Player Data Management
    description: Player Data Management APIs
  - name: Player Item Management
    description: Player Item Management APIs
  - name: PlayStream
    description: PlayStream Management APIs
  - name: Server-Side Cloud Script
    description: Server-Side Cloud Script APIs
  - name: Shared Group Data
    description: Shared Group Data APIs
  - name: Title-Wide Data Management
    description: Title-Wide Data Management APIs
paths:
  /Server/GetPlayerStatistics:
    post:
      tags:
        - Player Data Management
      summary: Get Player Statistics
      description: >
        Retrieves the current version and values for the indicated statistics,
        for the local player.


        ## Error codes


        This operation may return the following PlayFab errors:


        | Error | Code |

        | --- | --- |

        | ProductDisabledForTitle | 1609 |
      operationId: GetPlayerStatistics
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GetPlayerStatisticsRequest'
      responses:
        '200':
          $ref: '#/components/responses/GetPlayerStatisticsResult'
        '400':
          $ref: '#/components/responses/ApiErrorWrapper'
      security:
        - SecretKey: []
components:
  schemas:
    GetPlayerStatisticsRequest:
      type: object
      properties:
        CustomTags:
          description: >-
            The optional custom tags associated with the request (e.g. build
            number, external trace identifiers, etc.).
          type: object
        PlayFabId:
          description: user for whom statistics are being requested
          type: string
        StatisticNames:
          description: statistics to return
          type: array
          items:
            type: string
        StatisticNameVersions:
          description: >-
            statistics to return, if StatisticNames is not set (only statistics
            which have a version matching that provided will be returned)
          type: array
          items:
            $ref: '#/components/schemas/StatisticNameVersion'
          x-isclass: true
      required:
        - PlayFabId
      example:
        PlayFabId: 621EF2023753444
        StatisticNames:
          - Points
          - Wins
    StatisticNameVersion:
      type: object
      properties:
        StatisticName:
          description: unique name of the statistic
          type: string
        Version:
          description: the version of the statistic to be returned
          type: number
          x-actualtype: uint32
      required:
        - StatisticName
        - Version
    GetPlayerStatisticsResult:
      description: >-
        In addition to being available for use by the title, the statistics are
        used for all leaderboard operations in PlayFab.
      type: object
      properties:
        PlayFabId:
          description: >-
            PlayFab unique identifier of the user whose statistics are being
            returned
          type: string
        Statistics:
          description: User statistics for the requested user.
          type: array
          items:
            $ref: '#/components/schemas/StatisticValue'
          x-isclass: true
      example:
        PlayFabId: 621EF2023753444
        Statistics:
          - StatisticName: Points
            Value: 570
            Version: 1
          - StatisticName: Wins
            Value: 15
    ApiErrorWrapper:
      description: The basic wrapper around every failed API response
      type: object
      properties:
        code:
          description: Numerical HTTP code
          type: integer
        status:
          description: String HTTP code
          type: string
        error:
          description: Playfab error code
          type: string
        errorCode:
          description: Numerical PlayFab error code
          type: integer
        errorMessage:
          description: Description for the PlayFab errorCode
          type: string
        errorDetails:
          description: Detailed description of individual issues with the request object
          type: object
      required:
        - code
        - errorCode
    StatisticValue:
      type: object
      properties:
        StatisticName:
          description: unique name of the statistic
          type: string
        Value:
          description: statistic value for the player
          type: number
          x-actualtype: int32
        Version:
          description: >-
            for updates to an existing statistic value for a player, the version
            of the statistic when it was loaded
          type: number
          x-actualtype: uint32
      required:
        - Value
        - Version
      example:
        StatisticName: headshots
        Value: 5
        Version: 2
  responses:
    GetPlayerStatisticsResult:
      description: >-
        In addition to being available for use by the title, the statistics are
        used for all leaderboard operations in PlayFab.
      content:
        application/json:
          schema:
            type: object
            properties:
              code:
                type: integer
                description: >-
                  The Http status code. If X-ReportErrorAsSuccess header is set
                  to true, this will report the actual http error code.
              status:
                type: string
                description: The Http status code as a string.
              data:
                $ref: '#/components/schemas/GetPlayerStatisticsResult'
            example:
              code: 200
              status: OK
              data:
                PlayFabId: 621EF2023753444
                Statistics:
                  - StatisticName: Points
                    Value: 570
                    Version: 1
                  - StatisticName: Wins
                    Value: 15
    ApiErrorWrapper:
      description: This is the outer wrapper for all responses with errors
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiErrorWrapper'
  securitySchemes:
    SecretKey:
      type: apiKey
      in: header
      name: X-SecretKey
      description: >-
        This API requires a title secret key, available to title admins, from
        PlayFab Game Manager.

````

## Related topics

- [Get Player Statistics](/services/playfab/api-references/rest/client/player-data-management/get-player-statistics.md)
- [Get Player Statistic Definitions](/services/playfab/api-references/rest/admin/player-data-management/get-player-statistic-definitions.md)
- [Get Player Statistic Versions](/services/playfab/api-references/rest/admin/player-data-management/get-player-statistic-versions.md)
- [Using player statistics](/services/playfab/community/leaderboards/tournaments-leaderboards/using-player-statistics.md)
- [Using resettable statistics and leaderboards](/services/playfab/community/leaderboards/tournaments-leaderboards/using-resettable-statistics-and-leaderboards.md)
